/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexample.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workexample.entity.WorkExampleIndices;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 指标项目字典DAO接口
 * @author 杨帆
 * @version 2018-08-27
 */
@MyBatisDao
public interface WorkExampleIndicesDao extends CrudDao<WorkExampleIndices> {
        Integer getOrderNum(String id);
        List<WorkExampleIndices> findListInfo(WorkExampleIndices workExampleIndices);
        List<WorkExampleIndices> findByParentId(String id);
        List<WorkExampleIndices> findByParentIds(WorkExampleIndices workExampleIndices);
        Integer updateStatus(WorkExampleIndices workExampleIndices);
        Integer exampleIndicesCount(@Param("workExampleId")String workExampleId, @Param("exampleIndicesId")String exampleIndicesId);
        void saveExampleIndices(@Param("workExampleId")String workExampleId, @Param("exampleIndicesId")String exampleIndicesId);
        List<WorkExampleIndices> findByName(WorkExampleIndices workExampleIndices);
        List<WorkExampleIndices> findExampleIndices(String parentId);
        List<WorkExampleIndices> find(WorkExampleIndices workExampleIndices);
        void deleteExampleIndices(@Param("workExampleId")String workExampleId, @Param("exampleIndicesId")String exampleIndicesId);
}